Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.extension
Interface IReportItemQuery

    public interface IReportItemQuery

Defines the extended item query extension, which handles report query preparation.

Method Summary
`org.eclipse.birt.data.engine.api.IDataQueryDefinition[]` | `createReportQueries(org.eclipse.birt.data.engine.api.IDataQueryDefinition parent)`
`org.eclipse.birt.data.engine.api.IBaseQueryDefinition[]` | `getReportQueries(org.eclipse.birt.data.engine.api.IBaseQueryDefinition parent)` Deprecated. since 2.2
`void` | `setModelObject(org.eclipse.birt.report.model.api.ExtendedItemHandle modelHandle)` passes a handle to the extended report item model to the query extension
`void` | `setQueryContext(IQueryContext context)` set query context

Method Detail

### setModelObject

    void setModelObject(org.eclipse.birt.report.model.api.ExtendedItemHandle modelHandle)

  passes a handle to the extended report item model to the query extension

  Parameters:
    `modelHandle` - a handle to the extended item model object

### getReportQueries

    org.eclipse.birt.data.engine.api.IBaseQueryDefinition[] getReportQueries(org.eclipse.birt.data.engine.api.IBaseQueryDefinition parent)
                                                                             throws org.eclipse.birt.core.exception.BirtException

  Deprecated. since 2.2

  returns the report queries that the extension uses. Report queries provide data requirement specification to allow the data module in engine to prepare for data access.

  Parameters:
    `parent` - an in parameter specifying the parent query for the queries generated for this extended item. Could be null if the extended item defines its own data set
  Returns:
    an array of report queries that is used for data preparation, null if no queries
  Throws:
    `org.eclipse.birt.core.exception.BirtException` - throwed when the extension fails to construct the query array

### createReportQueries

    org.eclipse.birt.data.engine.api.IDataQueryDefinition[] createReportQueries(org.eclipse.birt.data.engine.api.IDataQueryDefinition parent)
                                                                                throws org.eclipse.birt.core.exception.BirtException

  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### setQueryContext

    void setQueryContext(IQueryContext context)

  set query context

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.